myexperiment-hackers
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[myexperiment-hackers] [3257] trunk/installers/ubuntu: Split out depende


From: noreply
Subject: [myexperiment-hackers] [3257] trunk/installers/ubuntu: Split out dependency install
Date: Wed, 12 Dec 2012 16:31:26 +0000 (UTC)

Revision
3257
Author
stain
Date
2012-12-12 16:31:26 +0000 (Wed, 12 Dec 2012)

Log Message

Split out dependency install

..so it can be run by developers


Conflicts:
	installers/ubuntu/install.bash

Modified Paths

Added Paths

Diff

Added: trunk/installers/ubuntu/dependencies.bash (0 => 3257)


--- trunk/installers/ubuntu/dependencies.bash	                        (rev 0)
+++ trunk/installers/ubuntu/dependencies.bash	2012-12-12 16:31:26 UTC (rev 3257)
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+echo "Installing required packages using apt-get install"
+sudo apt-get update || { echo "Could not update apt-get. Aborting ..."; exit 5; }
+sudo -n apt-get install -y build-essential exim4 git-core curl libcurl3 libcurl3-gnutls libcurl4-gnutls-dev openssl libreadline6 libreadline6-dev zlib1g zlib1g-dev libssl-dev libyaml-dev mysql-server libmysqlclient-dev libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison subversion libmagickwand-dev graphviz gcj-jre-headless || { echo "Could not install required using apt-get install. Aborting ..."; exit 6; }
+
Property changes on: trunk/installers/ubuntu/dependencies.bash
___________________________________________________________________

Added: svn:executable

Modified: trunk/installers/ubuntu/install.bash (3256 => 3257)


--- trunk/installers/ubuntu/install.bash	2012-12-12 16:29:53 UTC (rev 3256)
+++ trunk/installers/ubuntu/install.bash	2012-12-12 16:31:26 UTC (rev 3257)
@@ -19,9 +19,7 @@
 sudo su -c "echo mysql-server-5.1 mysql-server/root_password password `echo "'"``echo ${mysql_root_password}``echo "'"` | debconf-set-selections" || { echo "Could not set debconf option mysql-server-5.1 mysql-server/root_password. Aborting ..."; exit 3; }
 sudo su -c "echo mysql-server-5.1 mysql-server/root_password_again password `echo "'"``echo ${mysql_root_password}``echo "'"` | debconf-set-selections" || { echo "Could not set debconf option mysql-server-5.1 mysql-server/root_password_again. Aborting ..."; exit 4; }
 
-echo "Installing required packages using apt-get install"
-sudo apt-get update || { echo "Could not update apt-get. Aborting ..."; exit 5; }
-sudo -n apt-get install -y build-essential exim4 git-core curl libcurl3 libcurl3-gnutls libcurl4-openssl-dev openssl libreadline6 libreadline6-dev zlib1g zlib1g-dev libssl-dev libyaml-dev mysql-server libmysqlclient-dev libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison subversion libmagickwand-dev graphviz gcj-jre-headless || { echo "Could not install required using apt-get install. Aborting ..."; exit 6; }
+source "${basedir}/dependencies.bash"
 
 echo "Installing and configuring RVM"
 sudo bash -s stable < <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer ) || { echo "Could not install RVM. Aborting ..."; exit 7; }

reply via email to

[Prev in Thread] Current Thread [Next in Thread]